Package io.dapr.v1

# Enum CommonProtos.StateOptions.StateConsistency

java.lang.Object
java.lang.Enum<CommonProtos.StateOptions.StateConsistency>
io.dapr.v1.CommonProtos.StateOptions.StateConsistency

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `java.io.Serializable`, `java.lang.Comparable<CommonProtos.StateOptions.StateConsistency>`, `java.lang.constant.Constable`

Enclosing class:
  CommonProtos.StateOptions

    public static enum CommonProtos.StateOptions.StateConsistency
    extends java.lang.Enum<CommonProtos.StateOptions.StateConsistency>
    implements com.google.protobuf.ProtocolMessageEnum

     Enum describing the supported consistency for state.

Protobuf enum `dapr.proto.common.v1.StateOptions.StateConsistency`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `CONSISTENCY_EVENTUAL` | `CONSISTENCY_EVENTUAL = 1;`
  `CONSISTENCY_STRONG` | `CONSISTENCY_STRONG = 2;`
  `CONSISTENCY_UNSPECIFIED` | `CONSISTENCY_UNSPECIFIED = 0;`
  `UNRECOGNIZED` |

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `CONSISTENCY_EVENTUAL_VALUE` | `CONSISTENCY_EVENTUAL = 1;`
  `static int` | `CONSISTENCY_STRONG_VALUE` | `CONSISTENCY_STRONG = 2;`
  `static int` | `CONSISTENCY_UNSPECIFIED_VALUE` | `CONSISTENCY_UNSPECIFIED = 0;`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static CommonProtos.StateOptions.StateConsistency` | `forNumber​(int value)` |
  `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()` |
  `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()` |
  `int` | `getNumber()` |
  `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()` |
  `static com.google.protobuf.Internal.EnumLiteMap<CommonProtos.StateOptions.StateConsistency>` | `internalGetValueMap()` |
  `static CommonProtos.StateOptions.StateConsistency` | `valueOf​(int value)` | Deprecated.
  `static CommonProtos.StateOptions.StateConsistency` | `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` | Returns the enum constant of this type with the specified name.
  `static CommonProtos.StateOptions.StateConsistency` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static CommonProtos.StateOptions.StateConsistency[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONSISTENCY_UNSPECIFIED

    public static final CommonProtos.StateOptions.StateConsistency CONSISTENCY_UNSPECIFIED
    `CONSISTENCY_UNSPECIFIED = 0;`

  - ### CONSISTENCY_EVENTUAL

    public static final CommonProtos.StateOptions.StateConsistency CONSISTENCY_EVENTUAL
    `CONSISTENCY_EVENTUAL = 1;`

  - ### CONSISTENCY_STRONG

    public static final CommonProtos.StateOptions.StateConsistency CONSISTENCY_STRONG
    `CONSISTENCY_STRONG = 2;`

  - ### UNRECOGNIZED

    public static final CommonProtos.StateOptions.StateConsistency UNRECOGNIZED

- ## Field Details

  - ### CONSISTENCY_UNSPECIFIED_VALUE

    public static final int CONSISTENCY_UNSPECIFIED_VALUE
    `CONSISTENCY_UNSPECIFIED = 0;`
    See Also:
      Constant Field Values

  - ### CONSISTENCY_EVENTUAL_VALUE

    public static final int CONSISTENCY_EVENTUAL_VALUE
    `CONSISTENCY_EVENTUAL = 1;`
    See Also:
      Constant Field Values

  - ### CONSISTENCY_STRONG_VALUE

    public static final int CONSISTENCY_STRONG_VALUE
    `CONSISTENCY_STRONG = 2;`
    See Also:
      Constant Field Values

- ## Method Details

  - ### values

    public static CommonProtos.StateOptions.StateConsistency[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CommonProtos.StateOptions.StateConsistency valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getNumber

    public final int getNumber()
    Specified by:
      `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
    Specified by:
      `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

  - ### valueOf

    @Deprecated public static CommonProtos.StateOptions.StateConsistency valueOf​(int value)
    Deprecated.
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `value` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### forNumber

    public static CommonProtos.StateOptions.StateConsistency forNumber​(int value)
    Parameters:
      `value` - The numeric wire value of the corresponding enum entry.
    Returns:
      The enum associated with the given numeric wire value.

  - ### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<CommonProtos.StateOptions.StateConsistency> internalGetValueMap()

  - ### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()
    Specified by:
      `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

  - ### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

  - ### valueOf

    public static CommonProtos.StateOptions.StateConsistency valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `desc` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null